%define Werror_cflags	%nil
%define	fname	tuxmath_w_fonts

Summary:	Math game for kids with Tux
Summary(de):	Mathe-Spiel für Kinder mit Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 1
Source:		http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.xz
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Education
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_net-devel
BuildRequires:	librsvg-devel
BuildRequires:	imagemagick
BuildRequires:	libt4k_common-devel
Requires:	t4k_common >= 0.1.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems. 

%description -l de
"Tux, of Math Command" ("tuxmath", abgekürzt) ist ein Bildungs-Arcade
Spiel mit Tux, dem Linux-Maskottchen! Basierend auf dem klassischen Arcade-Spiel
"Missile Command ", muss Tux seine Städten verteidigen. In diesem Fall aber,
muss er das durch das Lösen von mathematischen Problemen tun.

%prep
%setup -q -n %{fname}-%{version}

# Fix incorrect paths hardcoded into the source (#46417) - AdamW
#sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/fonts/,g' src/loaders.c

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxMath
Comment=Math game for kids with Tux
Comment[de]=Mathe-Spiel für Kinder mit Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other
EOF


mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%_datadir/doc/tuxmath/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Nov 18 2011 leiche <meisssw01 at gmail.com> 2.0.3-1pclos2011
- rebuild  for 64 bit

* Wed Sep 07 2011 Pinoc <vogtpet at gmail.com> 2.0.3-1pclos2011
- 2.0.3

* Mon Jul 11 2011 Pinoc <vogtpet at gmail.com> 2.0.1-1pclos2011
- 2.0.1

* Sun Dec 26 2010 Texstar <texstar at gmail.com> 1.9.0-2pclos2010
- rename specfile to pclos-tuxmath
- convert source to tar.xz


* Sun Dec 26 2010 maik3531 <maik3531 at yahoo.de> 1.9.0-1pclos2010
- new version 1.9.0

* Fri Jun 05 2009 pcserver <pcserver@hushmail.com> 1.7.2-1pclos2009
- 1.7.0
